Skip to content

Verify Device Fingerprint
deprecated

Request

To clear a Device Fingerprint challenge listed in an OTT.

Notes:

  1. User is required to create a device fingerprint before the verification can be successful.
  2. Rate limit may be applied if there are 5 continuous unsuccessful attempts and OTT creation will be blocked for 15 minutes.
Security
UserToken
Headers
One-Time-Tokenstringrequired

Text value of a OTT.

Acceptstringrequired
Value:"application/jose+json"
Example:application/jose+json
X-TW-JOSE-Methodstringrequired

JOSE method identifier.

Value:"jwe"
Example:jwe
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jose+jsonrequired
string

JWE-encrypted string. The payload before encryption should contain a deviceFingerprint field.

Original payload:

{"deviceFingerprint": "<device_fingerprint_value>"}

Encoded (JWE):

eyJlbmMiOiJBMjU2R0NNIiwi...
curl -i -X POST \
  https://api.wise-sandbox.com/v1/one-time-token/partner-device-fingerprint/verify \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Accept: application/jose+json' \
  -H 'Accept-Encoding: identity' \
  -H 'Content-Type: application/jose+json' \
  -H 'Content-Encoding: identity' \
  -H 'X-TW-JOSE-Method: jwe' \
  -H 'One-Time-Token: <one time token>' \
  -d 'eyJlbmMiOiJBMjU2R0NNIiwi...'

Responses

Encrypted one time token status.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/jose+json
string

JWE-encrypted string. Please refer to our JOSE guide on how to decrypt this.

When decrypted, the response contains oneTimeTokenProperties with the one time token details. When successful, response may return the next challenge in challenges array. If challenges array is empty, you may now use the OTT to access an SCA protected endpoint.

Response
"eyJlbmMiOiJBMjU2R0NNIiwi..."